# This file describes collections of data and trained model weights that are
# released with MHCflurry. We refer to these datasets as "downloads."
#
# Downloads are organized into "releases", which generally correspond with
# MHCflurry releases of the same version.
#
# When users run "mhcflurry-downloads fetch" without specifying any downloads
# by name, the downloads with "default=true" are downloaded.

# This should usually be the latest release.
current-release: 2.0.0

# An integer indicating what models the current MHCflurry code base is compatible
# with. Increment this integer when changes are made to MHCflurry that would break
# the use of previously released models.
current-compatibility-version: 2

# Add new releases here as they are made.
releases:
    2.0.0:
        compatibility-version: 2
        downloads:
            - name: models_class1_pan
              url: https://github.com/openvax/mhcflurry/releases/download/pan-dev1/models_class1_pan.20190802.tar.bz2
              default: false

            - name: models_class1_pan_unselected
              url: https://github.com/openvax/mhcflurry/releases/download/pan-dev1/model_class1_pan_unselected.manual_build.20190731.tar.bz2
              default: false

            - name: data_iedb
              url: https://github.com/openvax/mhcflurry/releases/download/pan-dev1/data_iedb.20190610.tar.bz2
              default: false

            - name: data_systemhcatlas
              url: https://github.com/openvax/mhcflurry/releases/download/pan-dev1/data_systemhcatlas.20190506.tar.bz2
              default: false

            - name: allele_sequences
              url: https://github.com/openvax/mhcflurry/releases/download/pan-dev1/allele_sequences.20190506.tar.bz2
              default: false

            - name: random_peptide_predictions
              url: https://github.com/openvax/mhcflurry/releases/download/pan-dev1/random_peptide_predictions.20190506.tar.bz2
              default: false

            - name: data_published
              url: https://github.com/openvax/mhcflurry/releases/download/pan-dev1/data_published.tar.bz2
              default: false

            - name: data_curated
              url: https://github.com/openvax/mhcflurry/releases/download/pan-dev1/data_curated.20190516.tar.bz2
              default: true

            # Older downloads
            - name: models_class1
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/models_class1.20180225.tar.bz2
              default: true

            - name: models_class1_selected_no_mass_spec
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/models_class1_selected_no_mass_spec.20180225.tar.bz2
              default: false

            - name: models_class1_unselected
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/models_class1_unselected.20180221.tar.bz2
              default: false

            - name: models_class1_trained_with_mass_spec
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2.1/models_class1_trained_with_mass_spec.20180228.tar.bz2
              default: false

            - name: models_class1_unselected_with_mass_spec
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2.1/models_class1_unselected_with_mass_spec.20180227.tar.bz2
              default: false

            - name: models_class1_minimal
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/models_class1_minimal.20180226.tar.bz2
              default: false



    1.2.0:
        compatibility-version: 2
        downloads:
            - name: models_class1
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/models_class1.20180225.tar.bz2
              default: true

            - name: models_class1_selected_no_mass_spec
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/models_class1_selected_no_mass_spec.20180225.tar.bz2
              default: true

            - name: models_class1_unselected
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/models_class1_unselected.20180221.tar.bz2
              default: false

            - name: models_class1_trained_with_mass_spec
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2.1/models_class1_trained_with_mass_spec.20180228.tar.bz2
              default: false

            - name: models_class1_unselected_with_mass_spec
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2.1/models_class1_unselected_with_mass_spec.20180227.tar.bz2
              default: false

            - name: models_class1_minimal
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/models_class1_minimal.20180226.tar.bz2
              default: false

            - name: data_iedb
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.0/data_iedb.tar.bz2
              default: false

            - name: data_published
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.1/data_published.tar.bz2
              default: false

            - name: data_systemhcatlas
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.1/data_systemhcatlas.tar.bz2
              default: false

            - name: data_curated
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.2/data_curated.20180219.tar.bz2
              default: true

    1.1.0:
        compatibility-version: 2
        downloads:
            - name: models_class1
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.1/models_class1.20180205.tar.bz2
              default: true

            - name: models_class1_no_mass_spec
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.1/models_class1_no_mass_spec.20180205.tar.bz2
              default: true

            - name: models_class1_experiments1
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.1/models_class1_experiments1.tar.bz2
              default: false

            - name: cross_validation_class1
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.1/cross_validation_class1.tar.bz2
              default: false

            - name: data_iedb
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.0/data_iedb.tar.bz2
              default: false

            - name: data_published
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.1/data_published.tar.bz2
              default: false

            - name: data_systemhcatlas
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.1/data_systemhcatlas.tar.bz2
              default: false

            - name: data_curated
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.1/data_curated.tar.bz2
              default: true

    1.0.0:
        compatibility-version: 2
        downloads:
            - name: models_class1
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.0/models_class1.tar.bz2
              default: true

            - name: models_class1_experiments1
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.0/models_class1_experiments1.tar.bz2
              default: false

            - name: cross_validation_class1
              url: http://github.com/openvax/mhcflurry/releases/download/pre-1.0/cross_validation_class1.tar.bz2
              default: false

            - name: data_iedb
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.0/data_iedb.tar.bz2
              default: false

            - name: data_kim2014
              url: http://github.com/openvax/mhcflurry/releases/download/0.9.1/data_kim2014.tar.bz2
              default: false

            - name: data_curated
              url: https://github.com/openvax/mhcflurry/releases/download/pre-1.0/data_curated.tar.bz2
              default: true

    0.9.2:
        compatibility-version: 2
        downloads:
            - name: models_class1
              url: http://github.com/openvax/mhcflurry/releases/download/0.9.2/models_class1.tar.bz2
              default: true

            - name: data_curated
              url: https://github.com/openvax/mhcflurry/releases/download/0.9.1/data_curated.tar.bz2
              default: true

            - name: data_kim2014
              url: http://github.com/openvax/mhcflurry/releases/download/0.9.1/data_kim2014.tar.bz2
              default: false

            - name: data_iedb
              url: https://github.com/openvax/mhcflurry/releases/download/0.9.1/data_iedb.tar.bz2
              default: false

            - name: models_class1_experiments1
              url: http://github.com/openvax/mhcflurry/releases/download/0.9.2/models_class1_experiments1.tar.bz2
              default: false


    0.9.1:
        compatibility-version: 2
        downloads:
            - name: models_class1
              url: http://github.com/openvax/mhcflurry/releases/download/0.9.1/models_class1.tar.bz2
              default: true

            - name: data_curated
              url: https://github.com/openvax/mhcflurry/releases/download/0.9.1/data_curated.tar.bz2
              default: true

            - name: data_kim2014
              url: http://github.com/openvax/mhcflurry/releases/download/0.9.1/data_kim2014.tar.bz2
              default: false

            - name: data_iedb
              url: https://github.com/openvax/mhcflurry/releases/download/0.9.1/data_iedb.tar.bz2
              default: false

            - name: models_class1_experiments1
              url: http://github.com/openvax/mhcflurry/releases/download/0.9.1/models_class1_experiments1.tar.bz2
              default: false

    0.2.0:
        compatibility-version: 1
        downloads:
            - name: models_class1_allele_specific_ensemble
              url: http://github.com/openvax/mhcflurry/releases/download/0.2.0/models_class1_allele_specific_ensemble.tar.bz2
              default: true

            - name: models_class1_allele_specific_single
              url: http://github.com/openvax/mhcflurry/releases/download/0.2.0/models_class1_allele_specific_single.tar.bz2
              default: false

            - name: data_kim2014
              url: http://github.com/openvax/mhcflurry/releases/download/0.0.8/data_kim2014.tar.bz2
              default: true

            - name: data_combined_iedb_kim2014
              url: http://github.com/openvax/mhcflurry/releases/download/0.0.8/data_combined_iedb_kim2014.tar.bz2
              default: true

    0.0.8:
        compatibility-version: 1
        downloads:
            - name: models_class1_allele_specific_single
              url: http://github.com/openvax/mhcflurry/releases/download/0.0.8/models_class1_allele_specific_single.no_impute.tar.bz2
              default: true

            - name: data_kim2014
              url: http://github.com/openvax/mhcflurry/releases/download/0.0.8/data_kim2014.tar.bz2
              default: true

            - name: data_combined_iedb_kim2014
              url: http://github.com/openvax/mhcflurry/releases/download/0.0.8/data_combined_iedb_kim2014.tar.bz2
              default: true
